For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get SOA details

Get SOA details.

Required permissions: SOA

get
/tenants/{tenantUid}/soas/{soaUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
soaUidstringRequired

Reference to a SOA.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
namestringRequired
externalIdstringRequired
soaUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/soas/{soaUid}
GET /v2/tenants/{tenantUid}/soas/{soaUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "name": "text",
  "externalId": "text",
  "soaUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?